// MessageParser.h : Declaration of the CMessageParser

#ifndef __MESSAGEPARSER_H_
#define __MESSAGEPARSER_H_

#include "resource.h"       // main symbols

/////////////////////////////////////////////////////////////////////////////
// CMessageParser
class ATL_NO_VTABLE CMessageParser : 
	public CComObjectRootEx<CComSingleThreadModel>,
	public CComCoClass<CMessageParser, &CLSID_MessageParser>,
	public IDispatchImpl<IMessageParser, &IID_IMessageParser, &LIBID_ACTIVEMAILLib>
{
public:
	CMessageParser()
	{
	}

DECLARE_REGISTRY_RESOURCEID(IDR_MESSAGEPARSER)

BEGIN_COM_MAP(CMessageParser)
	COM_INTERFACE_ENTRY(IMessageParser)
	COM_INTERFACE_ENTRY(IDispatch)
END_COM_MAP()

// IMessageParser
public:
	STDMETHOD(Parse)(BSTR Message);
};

#endif //__MESSAGEPARSER_H_
